# pandas.expanding_var

`pandas.``expanding_var`(arg, min_periods=1, freq=None, **kwargs)

  > Numerically stable implementation using Welford’s method.

  Expanding variance.

  Parameters:

  arg : Series, DataFrame

  min_periods : int, default None

  > Minimum number of observations in window required to have a value (otherwise result is NA).

  freq : string or DateOffset object, optional (default None)

  > Frequency to conform the data to before computing the statistic. Specified as a frequency string or DateOffset object.

  ddof : int, default 1

  > Delta Degrees of Freedom. The divisor used in calculations is `N - ddof`, where `N` represents the number of elements.

  Returns: | y : type of input argument